<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/functions.php");
include("../class/class.php");
include LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"cj");
//展开
if($_GET['doopen'])
{
	$open=(int)$_GET['open'];
	SetDisplayInfoClass($open);
}
//图标
if(getcvar('displayinfoclass'))
{
	$img="<a href='ListInfoClass.php?doopen=1&open=0' title='展开'><img src='../data/images/displaynoadd.gif' width='15' height='15' border='0'></a>";
}
else
{
	$img="<a href='ListInfoClass.php?doopen=1&open=1' title='收缩'><img src='../data/images/displayadd.gif' width='15' height='15' border='0'></a>";
}
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid')
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>管理节点</title>
<link href="adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<script>
function CheckAll(form)
  {
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.name != 'chkall')
       e.checked = form.chkall.checked;
    }
  }
 function turnit(ss)
{
 if (ss.style.display=="") 
  ss.style.display="none";
 else
  ss.style.display=""; 
}
var newWindow = null
</script>
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">
  <tr>
    <td>位置：采集 -&gt; <a href="ListInfoClass.php">管理节点</a>&nbsp;&nbsp;(<a href=AddInfoC.php>增加节点</a>)</td>
  </tr>
</table>
<form name=form1 method=get action="DoCj.php" onsubmit="return confirm('确认要采集?');" target=_blank>
<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tableborder">
<input type=hidden name=enews value=DoCj>
  <tr class="header">
    <td width="3%"><div align="center"></div></td>
    <td width="8%" height="25"><div align="center"><?=$img?></div></td>
    <td width="8%" height="25"> <div align="center">采集</div></td>
    <td width="27%" height="25"> <div align="center">节点(点击访问采集页)</div></td>
    <td width="6%" height="25"> <div align="center">预览</div></td>
    <td width="16%" height="25"> <div align="center">绑定栏目</div></td>
    <td width="9%" height="25"> <div align="center">审核采集</div></td>
    <td width="24%" height="25"> 
      <div align="center">操作</div></td>
  </tr>
  <?
echo ShowClass_ListInfoClass(0,$exp);
?>
</table>

<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr> 
    <td><input type=checkbox name=chkall value=on onClick=CheckAll(this.form)>
        选中全部 
        &nbsp;&nbsp;<input type="submit" name="Submit" value="批量采集节点"></td>
  </tr>
</table>
</form>
<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr>
    <td>备注：弹出采集窗口，请按住&quot;Shift&quot;+点击＂开始采集&quot;</td>
  </tr>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
